#pragma once

#if (defined _MSC_VER) && _MSC_VER > 900
	#pragma warning(disable : 4244 4305 4786)
	#define for if ( false ) {} else for 
#endif

template <typename T> inline T sq(T x) {return x*x;}
template <typename T> inline T minimum(T lhs, T rhs) {if (lhs<rhs) return lhs; return rhs;}
template <typename T> inline T maximum(T lhs, T rhs) {if (lhs>rhs) return lhs; return rhs;}
template <typename T> inline T absolute(T n) {return n>=0? n: -n;}

inline float random(float begin, float end) { return (rand()/(float)RAND_MAX)*(end - begin) + begin; }

#define _ExecuteDX(_f) { \
	DWORD _hr = _f; \
	if ( FAILED(_hr) ) { \
		DXTrace(__FILE__, __LINE__, _hr, #_f, TRUE); \
	} \
}

