//-----------------------------------------------------------------------------
// author: Laurent MASCHERPA
// date:   03/05/2001
//-----------------------------------------------------------------------------
#include "eb_effect.h"
#include "shader_Plasma.hpp"
#include "nvinc.h"

//-----------------------------------------------------------------------------
DECLARE_EFFECT_MAIN()

extern "C"
{

//-----------------------------------------------------------------------------
__declspec(dllexport) unsigned int GetNumEffects() { return 2; }

//-----------------------------------------------------------------------------
__declspec(dllexport) EBEffect* CreateEffect(unsigned int EffectNum)
{	
	switch(EffectNum)
	{
		case 0:
			return new CShaderPlasma();
			break;
		/*
		case 1:
			return new CShaderDynGrass();
			break;
		*/
		default:
			return NULL;
	}
}

}