// ParticleOptions.cpp : implementation file
//

#include "stdafx.h"
#include "math.h"
#include "ParticleDialog.h"
#include "ParticleOptions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CParticleOptions dialog


CParticleOptions::CParticleOptions(CWnd* pParent /*=NULL*/)
	: CDialog(CParticleOptions::IDD, pParent)
{
	//{{AFX_DATA_INIT(CParticleOptions)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CParticleOptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CParticleOptions)
	DDX_Control(pDX, IDC_TEXTURE_NAME, m_TexturePathReadout);
	DDX_Control(pDX, IDC_START_RED_SLIDER, m_StartRedSlider);
	DDX_Control(pDX, IDC_START_GREEN_SLIDER, m_StartGreenSlider);
	DDX_Control(pDX, IDC_START_COLOR_READOUT, m_StartColorReadout);
	DDX_Control(pDX, IDC_START_BLUE_SLIDER, m_StartBlueSlider);
	DDX_Control(pDX, IDC_START_ALPHA_SLIDER, m_StartAlphaSlider);
	DDX_Control(pDX, IDC_LAUNCH_ACCEL_SLIDER, m_LaunchAccelSlider);
	DDX_Control(pDX, IDC_LAUNCH_ACCEL_READOUT, m_LaunchAccelReadout);
	DDX_Control(pDX, IDC_END_COLOR_READOUT, m_EndColorReadout);
	DDX_Control(pDX, IDC_END_RED_SLIDER5, m_EndRedSlider);
	DDX_Control(pDX, IDC_END_GREEN_SLIDER, m_EndGreenSlider);
	DDX_Control(pDX, IDC_END_BLUE_SLIDER, m_EndBlueSlider);
	DDX_Control(pDX, IDC_END_ALPHA_SLIDER, m_EndAlphaSlider);
	DDX_Control(pDX, IDC_LIFETIME_SLIDER,			m_LifetimeSlider);
	DDX_Control(pDX, IDC_LIFETIME_READOUT,			m_LifetimeReadout);
	DDX_Control(pDX, IDC_GRAV_SCALE_SLIDER,			m_GravScaleSlider);
	DDX_Control(pDX, IDC_GRAV_SCALE_READOUT,		m_GravScaleReadout);
	DDX_Control(pDX, IDC_GRAV_PITCH_SLIDER,			m_GravPitchSlider);
	DDX_Control(pDX, IDC_GRAV_PITCH_READOUT,		m_GravPitchReadout);
	DDX_Control(pDX, IDC_GRAV_HEADING_SLIDER,		m_GravHeadingSlider);
	DDX_Control(pDX, IDC_GRAV_HEADING_READOUT,		m_GravHeadingReadout);
	DDX_Control(pDX, IDC_GRAV_ACCEL_SLIDER,			m_GravAccelSlider);
	DDX_Control(pDX, IDC_GRAV_ACCEL_READOUT,		m_GravAccelReadout);
	DDX_Control(pDX, IDC_WIND_HEADING_SLIDER,		m_WindHeadingSlider);
	DDX_Control(pDX, IDC_WIND_HEADING_READOUT,		m_WindHeadingReadout);
	DDX_Control(pDX, IDC_WIND_PITCH_SLIDER,			m_WindPitchSlider);
	DDX_Control(pDX, IDC_WIND_PITCH_READOUT,		m_WindPitchReadout);
	DDX_Control(pDX, IDC_WIND_SCALE_SLIDER,			m_WindScaleSlider);
	DDX_Control(pDX, IDC_WIND_SCALE_READOUT,		m_WindScaleReadout);
	DDX_Control(pDX, IDC_TOTALPARTICLES_SLIDER,		m_TotalParticlesSlider);
	DDX_Control(pDX, IDC_TOTALPARTICLES_READOUT,	m_TotalParticlesReadout);
	DDX_Control(pDX, IDC_MAGNET_HEADING_SLIDER,		m_MagnetHeadingSlider);
	DDX_Control(pDX, IDC_MAGNET_HEADING_READOUT,	m_MagnetHeadingReadout);
	DDX_Control(pDX, IDC_MAGNET_PITCH_SLIDER,		m_MagnetPitchSlider);
	DDX_Control(pDX, IDC_MAGNET_PITCH_READOUT,		m_MagnetPitchReadout);
	DDX_Control(pDX, IDC_MAGNET_DISTANCE_SLIDER,	m_MagnetDistanceSlider);
	DDX_Control(pDX, IDC_MAGNET_DISTANCE_READOUT,	m_MagnetDistanceReadout);
	DDX_Control(pDX, IDC_MAGNET_STRENGTH_SLIDER,	m_MagnetStrengthSlider);
	DDX_Control(pDX, IDC_MAGNET_STRENGTH_READOUT,	m_MagnetStrengthReadout);
	DDX_Control(pDX, IDC_LAUNCHSPEED_SLIDER,		m_LaunchSpeedSlider);
	DDX_Control(pDX, IDC_LAUNCHSPEED_READOUT,		m_LaunchSpeedReadout);
	DDX_Control(pDX, IDC_START_SCALE_SLIDER,		m_StartScaleSlider);
	DDX_Control(pDX, IDC_START_SCALE_READOUT,		m_StartScaleReadout);
	DDX_Control(pDX, IDC_END_SCALE_SLIDER,			m_EndScaleSlider);
	DDX_Control(pDX, IDC_END_SCALE_READOUT,			m_EndScaleReadout);
	DDX_Control(pDX, IDC_START_ROTATION_SLIDER,		m_StartRotationSlider);
	DDX_Control(pDX, IDC_START_ROTATION_READOUT,	m_StartRotationReadout);
	DDX_Control(pDX, IDC_END_ROTATION_SLIDER,		m_EndRotationSlider);
	DDX_Control(pDX, IDC_END_ROTATION_READOUT,		m_EndRotationReadout);
	DDX_Control(pDX, IDC_WIND_EFFECT_A_SLIDER2,		m_WindEffectASlider);
	DDX_Control(pDX, IDC_WIND_EFFECT_A_READOUT,		m_WindEffectAReadout);
	DDX_Control(pDX, IDC_WIND_EFFECT_B_SLIDER,		m_WindEffectBSlider);
	DDX_Control(pDX, IDC_WIND_EFFECT_B_READOUT,		m_WindEffectBReadout);
	DDX_Control(pDX, IDC_MAGNET_EFFECT_A_SLIDER,	m_MagnetEffectASlider);
	DDX_Control(pDX, IDC_MAGNET_EFFECT_A_READOUT,	m_MagnetEffectAReadout);
	DDX_Control(pDX, IDC_MAGNET_EFFECT_B_SLIDER,	m_MagnetEffectBSlider);
	DDX_Control(pDX, IDC_MAGNET_EFFECT_B_READOUT,	m_MagnetEffectBReadout);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CParticleOptions, CDialog)
	//{{AFX_MSG_MAP(CParticleOptions)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_END_ROTATION_SLIDER, OnCustomdrawEndRotationSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_END_SCALE_SLIDER, OnCustomdrawEndScaleSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_GRAV_ACCEL_SLIDER, OnCustomdrawGravAccelSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_GRAV_HEADING_SLIDER, OnCustomdrawGravHeadingSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_GRAV_PITCH_SLIDER, OnCustomdrawGravPitchSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_GRAV_SCALE_SLIDER, OnCustomdrawGravScaleSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_LAUNCHSPEED_SLIDER, OnCustomdrawLaunchspeedSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_LIFETIME_SLIDER, OnCustomdrawLifetimeSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_MAGNET_DISTANCE_SLIDER, OnCustomdrawMagnetDistanceSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_MAGNET_EFFECT_A_SLIDER, OnCustomdrawMagnetEffectASlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_MAGNET_EFFECT_B_SLIDER, OnCustomdrawMagnetEffectBSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_MAGNET_HEADING_SLIDER, OnCustomdrawMagnetHeadingSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_MAGNET_PITCH_SLIDER, OnCustomdrawMagnetPitchSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_MAGNET_STRENGTH_SLIDER, OnCustomdrawMagnetStrengthSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_START_ROTATION_SLIDER, OnCustomdrawStartRotationSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_START_SCALE_SLIDER, OnCustomdrawStartScaleSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_TOTALPARTICLES_SLIDER, OnCustomdrawTotalparticlesSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_WIND_EFFECT_A_SLIDER2, OnCustomdrawWindEffectASlider2)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_WIND_EFFECT_B_SLIDER, OnCustomdrawWindEffectBSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_WIND_HEADING_SLIDER, OnCustomdrawWindHeadingSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_WIND_PITCH_SLIDER, OnCustomdrawWindPitchSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_WIND_SCALE_SLIDER, OnCustomdrawWindScaleSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_START_ALPHA_SLIDER, OnCustomdrawStartAlphaSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_START_BLUE_SLIDER, OnCustomdrawStartBlueSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_START_GREEN_SLIDER, OnCustomdrawStartGreenSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_START_RED_SLIDER, OnCustomdrawStartRedSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_END_ALPHA_SLIDER, OnCustomdrawEndAlphaSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_END_BLUE_SLIDER, OnCustomdrawEndBlueSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_END_GREEN_SLIDER, OnCustomdrawEndGreenSlider)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_END_RED_SLIDER5, OnCustomdrawEndRedSlider5)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_LAUNCH_ACCEL_SLIDER, OnCustomdrawLaunchAccelSlider)
	ON_BN_CLICKED(IDC_LOAD_TEXTURE, OnLoadTexture)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_BN_CLICKED(IDC_LOAD, OnLoad)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CParticleOptions message handlers

BOOL CParticleOptions::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_LifetimeSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_GravScaleSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_GravPitchSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_GravHeadingSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_GravAccelSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_WindHeadingSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_WindPitchSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_WindScaleSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_TotalParticlesSlider.SetRange(1, 10000, FALSE);
	m_MagnetHeadingSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_MagnetPitchSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_MagnetDistanceSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_MagnetStrengthSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_LaunchSpeedSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_StartScaleSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_EndScaleSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_StartRotationSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_EndRotationSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_WindEffectASlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_WindEffectBSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_MagnetEffectASlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_MagnetEffectBSlider.SetRange(0, SLIDER_STEPS, FALSE);
	
	m_StartRedSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_StartGreenSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_StartBlueSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_StartAlphaSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_EndRedSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_EndGreenSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_EndBlueSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_EndAlphaSlider.SetRange(0, SLIDER_STEPS, FALSE);
	m_LaunchAccelSlider.SetRange(0, SLIDER_STEPS, FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CParticleOptions::SetMaxParticles(int MaxParticles)
{
	if (m_TotalParticles > MaxParticles)
	{
		m_TotalParticles = MaxParticles-1;
	}

	m_TotalParticlesSlider.SetRange(1, MaxParticles, FALSE);

	m_TotalParticlesSlider.SetPos(m_TotalParticles);
	CString str;
	str.Format("%.d", m_TotalParticles);
	m_TotalParticlesReadout.SetWindowText(str);

	return(TRUE);
}

float CParticleOptions::ConvertToFloat(float Min, float Max, int percent)
{
	float value = (float)percent / (float)SLIDER_STEPS;
	float delta = Max-Min;
	value *= delta;
	value+=Min;

	// make some of the rounded values a little 'sticky'
	// this is to accomodate my poorly designed user interface
	float rounded_value = (float)floor(value);
	if (fabs(value - rounded_value) < 0.1f)
	{
		value = rounded_value;
	}
	return (value);
}

int CParticleOptions::ConvertToPercent(float Min, float Max, float value)
{
	float delta = Max-Min;
	value -= Min;
	value /= delta;
	value *= (float)SLIDER_STEPS;

	return ((int)value);
}

void CParticleOptions::SetTextValue(CStatic& control, float value)
{
	CString str;
	str.Format("%.2f", value);
	control.SetWindowText(str);
}
/*
	float m_Lifetime;
	float m_GravScale;
	float m_GravPitch;
	float m_GravHeading;
	float m_GravAccel;
	float m_WindHeading;
	float m_WindPitch;
	float m_WindScale;
	float m_MagnetHeading;
	float m_MagnetPitch;
	float m_MagnetDistance;
	float m_MagnetStrength;
	float m_LaunchSpeed;
	float m_LaunchAccel;
	float m_StartScale;
	float m_EndScale;
	float m_StartRotation;
	float m_EndRotation;
	float m_WindEffectA;
	float m_WindEffectB;
	float m_MagnetEffectA;
	float m_MagnetEffectB;

	float m_StartRed;
	float m_StartGreen;
	float m_StartBlue;
	float m_StartAlpha;
	float m_EndRed;
	float m_EndGreen;
	float m_EndBlue;
	float m_EndAlpha;
*/

int temp;

#define SET_SLIDERS(val, slider, text, min, max)		temp = ConvertToPercent(min, max, val);\
															SetTextValue(text, val);\
															slider.SetPos(temp);

void CParticleOptions::UpdateControls()
{
	SET_SLIDERS(m_Lifetime, m_LifetimeSlider, m_LifetimeReadout, MIN_TIME, MAX_TIME);
	SET_SLIDERS(m_GravScale, m_GravScaleSlider, m_GravScaleReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_GravPitch, m_GravPitchSlider, m_GravPitchReadout, MIN_ANGLE, MAX_ANGLE);
	SET_SLIDERS(m_GravHeading, m_GravHeadingSlider, m_GravHeadingReadout, MIN_ANGLE, MAX_ANGLE);
	SET_SLIDERS(m_GravAccel, m_GravAccelSlider, m_GravAccelReadout, MIN_ACCEL, MAX_ACCEL);
	SET_SLIDERS(m_WindHeading, m_WindHeadingSlider, m_WindHeadingReadout, MIN_ANGLE, MAX_ANGLE);
	SET_SLIDERS(m_WindPitch, m_WindPitchSlider, m_WindPitchReadout, MIN_ANGLE, MAX_ANGLE);
	SET_SLIDERS(m_WindScale, m_WindScaleSlider, m_WindScaleReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_MagnetHeading, m_MagnetHeadingSlider, m_MagnetHeadingReadout, MIN_ANGLE, MAX_ANGLE);
	SET_SLIDERS(m_MagnetPitch, m_MagnetPitchSlider, m_MagnetPitchReadout, MIN_ANGLE, MAX_ANGLE);
	SET_SLIDERS(m_MagnetDistance, m_MagnetDistanceSlider, m_MagnetDistanceReadout, MIN_DISTANCE, MAX_DISTANCE);
	SET_SLIDERS(m_MagnetStrength, m_MagnetStrengthSlider, m_MagnetStrengthReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_LaunchSpeed, m_LaunchSpeedSlider, m_LaunchSpeedReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_LaunchAccel, m_LaunchAccelSlider, m_LaunchAccelReadout, MIN_ACCEL, MAX_ACCEL);
	SET_SLIDERS(m_StartScale, m_StartScaleSlider, m_StartScaleReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_EndScale, m_EndScaleSlider, m_EndScaleReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_StartRotation, m_StartRotationSlider, m_StartRotationReadout, MIN_ROTATION, MAX_ROTATION);
	SET_SLIDERS(m_EndRotation, m_EndRotationSlider, m_EndRotationReadout, MIN_ROTATION, MAX_ROTATION);
	SET_SLIDERS(m_WindEffectA, m_WindEffectASlider, m_WindEffectAReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_WindEffectB, m_WindEffectBSlider, m_WindEffectBReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_MagnetEffectA, m_MagnetEffectASlider, m_MagnetEffectAReadout, MIN_SCALE, MAX_SCALE);
	SET_SLIDERS(m_MagnetEffectB, m_MagnetEffectBSlider, m_MagnetEffectBReadout, MIN_SCALE, MAX_SCALE);


	SET_SLIDERS(m_StartRed, m_StartRedSlider, m_StartColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_StartGreen, m_StartGreenSlider, m_StartColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_StartBlue, m_StartBlueSlider, m_StartColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_StartAlpha, m_StartAlphaSlider, m_StartColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_EndRed, m_EndRedSlider, m_EndColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_EndGreen, m_EndGreenSlider, m_EndColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_EndBlue, m_EndBlueSlider, m_EndColorReadout, MIN_COLOR, MAX_COLOR);
	SET_SLIDERS(m_EndAlpha, m_EndAlphaSlider, m_EndColorReadout, MIN_COLOR, MAX_COLOR);

	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_EndRed, m_EndGreen, m_EndBlue, m_EndAlpha);
	m_EndColorReadout.SetWindowText(str);
	str.Format("%.2f, %.2f, %.2f, %.2f", m_StartRed, m_StartGreen, m_StartBlue, m_StartAlpha);
	m_StartColorReadout.SetWindowText(str);

	m_TotalParticlesSlider.SetPos(m_TotalParticles);
	str.Format("%.d", m_TotalParticles);
	m_TotalParticlesReadout.SetWindowText(str);

	m_TexturePathReadout.SetWindowText(m_TextureName);

}



#define READ_SLIDERS(val, slider, text, min, max)		val = ConvertToFloat(min, max, slider.GetPos());\
															SetTextValue(text, val);


void CParticleOptions::OnCustomdrawTotalparticlesSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_TotalParticles = m_TotalParticlesSlider.GetPos();
	CString str;
	str.Format("%.d", m_TotalParticles);
	m_TotalParticlesReadout.SetWindowText(str);
	*pResult = 0;
}


void CParticleOptions::OnCustomdrawEndRotationSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_EndRotation, m_EndRotationSlider, m_EndRotationReadout, MIN_ROTATION, MAX_ROTATION);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawEndScaleSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_EndScale, m_EndScaleSlider, m_EndScaleReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawGravAccelSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_GravAccel, m_GravAccelSlider, m_GravAccelReadout, MIN_ACCEL, MAX_ACCEL);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawGravHeadingSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_GravHeading, m_GravHeadingSlider, m_GravHeadingReadout, MIN_ANGLE, MAX_ANGLE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawGravPitchSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_GravPitch, m_GravPitchSlider, m_GravPitchReadout, MIN_ANGLE, MAX_ANGLE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawGravScaleSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_GravScale, m_GravScaleSlider, m_GravScaleReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawLaunchspeedSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_LaunchSpeed, m_LaunchSpeedSlider, m_LaunchSpeedReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawLifetimeSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_Lifetime, m_LifetimeSlider, m_LifetimeReadout, MIN_TIME, MAX_TIME);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawMagnetDistanceSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_MagnetDistance, m_MagnetDistanceSlider, m_MagnetDistanceReadout, MIN_DISTANCE, MAX_DISTANCE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawMagnetEffectASlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_MagnetEffectA, m_MagnetEffectASlider, m_MagnetEffectAReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawMagnetEffectBSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_MagnetEffectB, m_MagnetEffectBSlider, m_MagnetEffectBReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawMagnetHeadingSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_MagnetHeading, m_MagnetHeadingSlider, m_MagnetHeadingReadout, MIN_ANGLE, MAX_ANGLE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawMagnetPitchSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_MagnetPitch, m_MagnetPitchSlider, m_MagnetPitchReadout, MIN_ANGLE, MAX_ANGLE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawMagnetStrengthSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_MagnetStrength, m_MagnetStrengthSlider, m_MagnetStrengthReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawStartRotationSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_StartRotation, m_StartRotationSlider, m_StartRotationReadout, MIN_ROTATION, MAX_ROTATION);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawStartScaleSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_StartScale, m_StartScaleSlider, m_StartScaleReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawWindEffectASlider2(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_WindEffectA, m_WindEffectASlider, m_WindEffectAReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawWindEffectBSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_WindEffectB, m_WindEffectBSlider, m_WindEffectBReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawWindHeadingSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_WindHeading, m_WindHeadingSlider, m_WindHeadingReadout, MIN_ANGLE, MAX_ANGLE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawWindPitchSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_WindPitch, m_WindPitchSlider, m_WindPitchReadout, MIN_ANGLE, MAX_ANGLE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawWindScaleSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_WindScale, m_WindScaleSlider, m_WindScaleReadout, MIN_SCALE, MAX_SCALE);
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawStartAlphaSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_StartAlpha = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_StartAlphaSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_StartRed, m_StartGreen, m_StartBlue, m_StartAlpha);
	m_StartColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawStartBlueSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_StartBlue = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_StartBlueSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_StartRed, m_StartGreen, m_StartBlue, m_StartAlpha);
	m_StartColorReadout.SetWindowText(str);

	*pResult = 0;
}

void CParticleOptions::OnCustomdrawStartGreenSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_StartGreen = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_StartGreenSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_StartRed, m_StartGreen, m_StartBlue, m_StartAlpha);
	m_StartColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawStartRedSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_StartRed = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_StartRedSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_StartRed, m_StartGreen, m_StartBlue, m_StartAlpha);
	m_StartColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawEndAlphaSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_EndAlpha = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_EndAlphaSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_EndRed, m_EndGreen, m_EndBlue, m_EndAlpha);
	m_EndColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawEndBlueSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_EndBlue = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_EndBlueSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_EndRed, m_EndGreen, m_EndBlue, m_EndAlpha);
	m_EndColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawEndGreenSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_EndGreen = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_EndGreenSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_EndRed, m_EndGreen, m_EndBlue, m_EndAlpha);
	m_EndColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawEndRedSlider5(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_EndRed = ConvertToFloat(MIN_COLOR, MAX_COLOR, m_EndRedSlider.GetPos());
	CString str;
	str.Format("%.2f, %.2f, %.2f, %.2f", m_EndRed, m_EndGreen, m_EndBlue, m_EndAlpha);
	m_EndColorReadout.SetWindowText(str);
	
	*pResult = 0;
}

void CParticleOptions::OnCustomdrawLaunchAccelSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	READ_SLIDERS(m_LaunchAccel, m_LaunchAccelSlider, m_LaunchAccelReadout, MIN_ACCEL, MAX_ACCEL);
	
	*pResult = 0;
}

void CParticleOptions::OnLoadTexture() 
{
	// TODO: Add your control notification handler code here
	CFileDialog filedialog(TRUE, NULL, NULL, OFN_HIDEREADONLY, "Compressed Textures (*.dds)|*.dds||", (CWnd*)this);

	if (filedialog.DoModal() == IDOK)
	{
		m_TexturePath = filedialog.GetPathName(); 
		m_TextureName = filedialog.GetFileName(); 
		m_TexturePathReadout.SetWindowText(m_TextureName);
	}

}

void CParticleOptions::OnSave() 
{
	// TODO: Add your control notification handler code here
	CFileDialog filedialog(FALSE, "pts", NULL, OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, "Particle System (*.pts)|*.pts||", (CWnd*)this);

	if (filedialog.DoModal() == IDOK)
	{
		CFile file;
		
		if (file.Open(filedialog.GetPathName(),CFile::modeCreate|CFile::modeWrite|CFile::shareDenyNone ))
		{
			file.Write(&m_TotalParticles, sizeof(m_TotalParticles));
			file.Write(&m_Lifetime, sizeof(float));
			file.Write(&m_GravScale, sizeof(float));
			file.Write(&m_GravPitch, sizeof(float));
			file.Write(&m_GravHeading, sizeof(float));
			file.Write(&m_GravAccel, sizeof(float));
			file.Write(&m_WindHeading, sizeof(float));
			file.Write(&m_WindPitch, sizeof(float));
			file.Write(&m_WindScale, sizeof(float));
			file.Write(&m_MagnetHeading, sizeof(float));
			file.Write(&m_MagnetPitch, sizeof(float));
			file.Write(&m_MagnetDistance, sizeof(float));
			file.Write(&m_MagnetStrength, sizeof(float));
			file.Write(&m_LaunchSpeed, sizeof(float));
			file.Write(&m_LaunchAccel, sizeof(float));
			file.Write(&m_StartScale, sizeof(float));
			file.Write(&m_EndScale, sizeof(float));
			file.Write(&m_StartRotation, sizeof(float));
			file.Write(&m_EndRotation, sizeof(float));
			file.Write(&m_WindEffectA, sizeof(float));
			file.Write(&m_WindEffectB, sizeof(float));
			file.Write(&m_MagnetEffectA, sizeof(float));
			file.Write(&m_MagnetEffectB, sizeof(float));
			file.Write(&m_StartRed, sizeof(float));
			file.Write(&m_StartGreen, sizeof(float));
			file.Write(&m_StartBlue, sizeof(float));
			file.Write(&m_StartAlpha, sizeof(float));
			file.Write(&m_EndRed, sizeof(float));
			file.Write(&m_EndGreen, sizeof(float));
			file.Write(&m_EndBlue, sizeof(float));
			file.Write(&m_EndAlpha, sizeof(float));
			file.Write(m_TexturePath.GetBuffer(MAX_PATH), MAX_PATH);
			file.Write(m_TextureName.GetBuffer(MAX_PATH), MAX_PATH);

			file.Close();
		}
		else
		{
			MessageBox("File Could Not Be Saved.", "File Error", MB_OK);
		}
	}
	
}

void CParticleOptions::OnLoad() 
{
	// TODO: Add your control notification handler code here
	CFileDialog filedialog(TRUE, "pts", NULL, OFN_HIDEREADONLY, "Particle System (*.pts)|*.pts||", (CWnd*)this);

	if (filedialog.DoModal() == IDOK)
	{
		CFile file;
		
		if (file.Open(filedialog.GetPathName(),CFile::modeRead | CFile::shareDenyNone   ))
		{
			file.Read(&m_TotalParticles, sizeof(m_TotalParticles));
			file.Read(&m_Lifetime, sizeof(float));
			file.Read(&m_GravScale, sizeof(float));
			file.Read(&m_GravPitch, sizeof(float));
			file.Read(&m_GravHeading, sizeof(float));
			file.Read(&m_GravAccel, sizeof(float));
			file.Read(&m_WindHeading, sizeof(float));
			file.Read(&m_WindPitch, sizeof(float));
			file.Read(&m_WindScale, sizeof(float));
			file.Read(&m_MagnetHeading, sizeof(float));
			file.Read(&m_MagnetPitch, sizeof(float));
			file.Read(&m_MagnetDistance, sizeof(float));
			file.Read(&m_MagnetStrength, sizeof(float));
			file.Read(&m_LaunchSpeed, sizeof(float));
			file.Read(&m_LaunchAccel, sizeof(float));
			file.Read(&m_StartScale, sizeof(float));
			file.Read(&m_EndScale, sizeof(float));
			file.Read(&m_StartRotation, sizeof(float));
			file.Read(&m_EndRotation, sizeof(float));
			file.Read(&m_WindEffectA, sizeof(float));
			file.Read(&m_WindEffectB, sizeof(float));
			file.Read(&m_MagnetEffectA, sizeof(float));
			file.Read(&m_MagnetEffectB, sizeof(float));
			file.Read(&m_StartRed, sizeof(float));
			file.Read(&m_StartGreen, sizeof(float));
			file.Read(&m_StartBlue, sizeof(float));
			file.Read(&m_StartAlpha, sizeof(float));
			file.Read(&m_EndRed, sizeof(float));
			file.Read(&m_EndGreen, sizeof(float));
			file.Read(&m_EndBlue, sizeof(float));
			file.Read(&m_EndAlpha, sizeof(float));
			file.Read(m_TexturePath.GetBuffer(MAX_PATH), MAX_PATH);
			file.Read(m_TextureName.GetBuffer(MAX_PATH), MAX_PATH);

			file.Close();

			UpdateControls();
		}
		else
		{
			MessageBox("File Could Not Be Loaded.", "File Error", MB_OK);
		}
	}
	
}
